Book_2_Chapter_5_Retake_Weathertop = class(Window);

function Book_2_Chapter_5_Retake_Weathertop: GetName()
	return "Book 2, Chapter 5: Retake Weathertop";
end

function Book_2_Chapter_5_Retake_Weathertop: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_5_Retake_Weathertop: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2, Capítulo 5: Retomar Weathertop"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n<Seu personagem>, tenho notícias de Radagast , mas devo pedir-lhe mais uma vez ajuda aqui. A carta que você recuperou de Bleakrift fala dos verdadeiros objetivos dos Orcs: assumir o controle de Amon Sûl na calada da noite e se mover em um grande grupo, estabelecendo pequenas unidades ao longo dos caminhos dessa força maior.\n\n'Não podemos resistir à força quando eles estão reunidos, mas podemos uma vez que eles estão estilhaçados. Eles desejam estabelecer uma base que lhes permita uma vantagem sobre a totalidade das Terras Solitárias. Devemos frustrar seus planos!\n\n- Volte para mim quando estiver pronto. Juntos escalaremos Amon Sûl e derrotaremos Rigûl , seu líder, antes que ele possa cumprir a vontade de seu mestre!'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEnquanto você subia ao pico do Weathertop, Candaith trabalhava ativamente para traduzir a carta que você recuperou de Bleakrift. Sua tradução está completa e as notícias que ele descobriu são graves.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Fale com Candaith e reconquiste Weathertop\nCandaith está em seu acampamento ao pé do Topo do Vento.\n\nO Ranger Candaith pediu que você o ajudasse a conduzir uma companhia de Orcs de Weathertop.\n\nCandaith: 'Se você estiver preparado, eu vou mostrar o caminho. Devemos ser rápidos, senão os orcs podem ter sucesso em qualquer travessura que eles planejaram!'\nComplete a Instância: Retome Weathertop\n\n2- Fale com a Candaite\nCandaith está em seu acampamento ao pé do Topo do Vento.\n\nCandaith está esperando para discutir com você os estranhos eventos que ocorreram no topo de Amon Sûl.\n\nCandaith: 'É hora de deixarmos este lugar.\nCandaith: 'Não se preocupe com os orcs que restam. Tão distantes das Terras do Sul, eles diminuirão e se tornarão apenas um pequeno perigo para os viajantes pelas Terras Solitárias.\n“Ganhamos uma batalha crucial, meu amigo. Você mereceu algum descanso, eu acho, pois a grande ameaça representada por esses Orcs agora está terminada!\n— Agora, deixe-me ajudá-lo em sua tentativa de encontrar Radagast, o Marrom.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nNota: Esta missão é oferecida em grupo e uma versão solo.\n\nFale com Candaith novamente para iniciar a instância Retake Weathertop");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_5_Retake_Weathertop:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_5_Retake_Weathertop()); 